Pulse API
  1. Location
Pulse API
  • Introduction
    • Introduction
    • Getting Started
    • Basic concepts
  • Services
    • Backoffice
      • Authentication
        • Generate Access Token
        • Generate Refresh Token
      • Authorization
        • Rotate Key (User)
        • Register Application
        • List (Application)
        • Rotate Key (Application)
        • Revoke Key (Application)
        • Activate Key (Application)
      • Usage
        • Check limits
        • Check usage
    • Domains
      • Valuation
        • Valuation
      • Indicators
        • Indicators
      • Cadastral
        • Cadastral by portal id
        • Cadastral by Reference
      • Comparables
        • Search comparables
      • Mortgage
        • Pre-approval
      • Location
        • Suggest cadastral
          GET
  1. Location

Suggest cadastral

GET
/api/comparables/v2/suggest-cadastral
Retrieves a list of cadastral parcels based on a provided address. The more precise the input information (portal, postal code, etc.) the more accurate the returned cadastral references will be.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

馃煝200OK
application/json
Body

馃煝204No content
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.urbandataanalytics.com/api/comparables/v2/suggest-cadastral?address=Avenida Constituci贸n 25, 33670, Aller' \
--header 'Authorization: <api-key>'
Response Response Example
{
    "query_params": {
        "address": "Avenida Constituci贸n 25, Aller",
        "typology_type": "1"
    },
    "results": [
        {
            "source": "cadastral",
            "address": "Avenida Constitucion 25, 33670 Aller (Oviedo)",
            "id_address": 966932,
            "id_portal": 14072260,
            "postal_code": "33670",
            "coordinates": {
                "lat": 43.169527906302214,
                "lon": -5.738562794720162
            },
            "score": 0.886
        },
        {
            "source": "cadastral",
            "address": "Avenida Constitucion 25, 33686 Aller (Oviedo)",
            "id_address": 966932,
            "id_portal": 14072260,
            "postal_code": "33686",
            "coordinates": {
                "lon": -5.624084708199442,
                "lat": 43.16187133701467
            },
            "score": 0.886
        },
        {
            "source": "cadastral",
            "address": "Avenida Aller 25, 33684 Aller (Oviedo)",
            "id_address": 3272457,
            "id_portal": 15088130,
            "postal_code": "33684",
            "coordinates": {
                "lat": 43.175565602580924,
                "lon": -5.7540523971281115
            },
            "score": 0.603
        }
    ],
    "code": 200,
    "message": "Cadastral data retrieved successfully"
}
Modified at聽2025-11-26 12:44:44
Previous
Pre-approval
Built with